Summary: A MUD server for fantasy worlds
Name: awemud
Version: 0.6.5
Release: 1
Copyright: BSD
Group: Amusements/Games
Source: http://prdownloads.sourceforge.net/awemud/awemud-0.6.5.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Conflicts: awemud-cvs

%description
AweMUD is an object-oriented MUD server designed to
allow a lot of flexibility.  The main goals are to provide
an easy user experience, powerful game mechanics, and
a limitless environment.

%prep
%setup -q -n awemud-0.6.5

%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README Todo COPYING ChangeLog
%doc doc/user.html doc/admin.html doc/faq.html
%doc doc/user.txt doc/admin.txt doc/faq.txt


/usr/bin/awemud-server
/usr/bin/awemud
/usr/bin/kill-awemud
%config /etc/awemud/awemud.conf
/var/lib/awemud/world
/var/lib/awemud/templates
/var/lib/awemud/data
/var/lib/awemud/scripts
%config /var/lib/awemud/players/players.db
%config /var/lib/awemud/players/admin
%config /var/lib/awemud/world
%config /var/lib/awemud/templates/npcs
%config /var/lib/awemud/templates/objects
%config /var/lib/awemud/data
/usr/include/awemud

%changelog
* Tue Feb  5 2002 Sean Middleditch <elanthis@awesomeplay.com> - Initial spec files
- Build cleanups
